import React, { useState, useEffect } from 'react';
import { Form, Row, Col, Input, Button, Icon, Select, message, Table, Divider, Tag, Pagination, Modal, Breadcrumb, InputNumber } from 'antd';
import router from 'umi/router';
import moment from 'moment';
import Navigate from '@/components/Navigate';
import apis from '../../../../services/apis';
import request from '../../../../utils/request';
import Styles from './styles.less';


function RedPacket(props) {

    const { id, name } = props
    // const [taNoticeList, setTaNoticeList] = useState([])
    const [data, setData] = useState({})

    useEffect(() => {
        getMoneyDetail()
        // getList({ pageNum: 1, pageSize: 10 });
    }, [])
    // 查询列表
    //     moneyDetail
    // updateMoney

    const getMoneyDetail = () => {
        request({ ...apis.redPacket.moneyDetail, urlData: { id } }).then(data => {
            setData(data)
        })
    }

    const updateRedPacket = data => {
        request({ ...apis.redPacket.updateMoney, urlData: { id }, data: { ...data } }).then(data => {
            // setData(data)
        })
    }

    function handleSubmit(e) {
        e.preventDefault();
        props.form.validateFields((err, values) => {
            if (!err) {
                values.budget *= 100
                values.minPacket *= 100
                values.maxPacket *= 100
                console.log(values, '------222-------')
                // values
                updateRedPacket(values)
            }
        },
        )
    }

    const toRecharge = () => {

        router.push({
            pathname: '/funds/accountfunds',
        })
    }


    const { getFieldDecorator } = props.form
    const { taRedPacketClient } = data

    return (

        <>
            <Row style={{ marginBottom: '40px' }}>
                <Col span={8} style={{ paddingRight: '30px' }}>
                    <div className={Styles.redHeader}>
                        <div className={Styles.redHeaderTop}><span className={Styles.redHeaderTopText}>账户余额/元</span><span className={Styles.redHeaderTopNum}>{data.availableBalance / 100 || 0}</span></div>
                        <div className={Styles.redHeaderBottom}> <Navigate onClick={() => toRecharge()}>去充值</Navigate></div>
                    </div>
                </Col>
                <Col span={8} style={{ padding: '0 10px' }}>
                    <div className={Styles.redHeader}>
                        {/* packetSendedNum */}
                        <div className={Styles.redHeaderTop}><span className={Styles.redHeaderTopText}>已发送红包总数量/个</span><span className={Styles.redHeaderTopNum}>{data.sendNum / 100 || 0}</span></div>
                        <div className={Styles.redHeaderBottom}><Navigate onClick={() => props.toDetail()}>查看详情</Navigate></div>
                    </div>
                </Col>
                <Col span={8} style={{ paddingLeft: '30px' }}>
                    <div className={Styles.redHeader}>
                        <div className={Styles.redHeaderTop}><span className={Styles.redHeaderTopText}>已发送红包金额/元</span><span className={Styles.redHeaderTopNum}>{data.sendTotalAmount / 100 || 0}</span></div>
                        <div className={Styles.redHeaderBottom}><Navigate onClick={() => props.toDetail(1)}>查看详情</Navigate></div>
                    </div>
                </Col>
            </Row>
            <Form labelCol={{ span: 8 }} wrapperCol={{ span: 12 }} onSubmit={handleSubmit}>
                <Form.Item label="本次红包预算/元">
                    {getFieldDecorator('budget', {
                        initialValue: data.budget / 100,
                        // rules: [
                        //     {
                        //         type: 'number', message: '123'
                        //     }
                        // ],
                    },
                    )(
                        <Input type="number" min={0} max={99999} />,
                    )}
                </Form.Item>
                <Form.Item label="单个红包金额范围/元">
                    {getFieldDecorator('minPacket', {
                        initialValue: data.minPacket / 100 || 3,
                    })(
                        <InputNumber min={1} max={199} />,
                    )}~
                     {getFieldDecorator('maxPacket', {
                        initialValue: data.maxPacket / 100 || 3,
                    })(
                        <InputNumber min={1} max={199} />,
                    )}
                </Form.Item>
                <Form.Item label="发放红包个数上限">
                    {getFieldDecorator('limitPacketNum', {
                        initialValue: data.limitPacketNum === -1 ? 0 : data.limitPacketNum,
                    })(
                        <Input type="number" />,
                    )}
                </Form.Item>
                <Form.Item label="余额或预算不足时提示文案">
                    {getFieldDecorator('insufficientBalanceTip', {
                        initialValue: data.insufficientBalanceTip || '红包已发送完毕，谢谢您的参与',
                    })(
                        <Input placeholder="红包已发送完毕，谢谢您的参与" />,
                    )}
                </Form.Item>
                {/* font-size:22px;
font-family:PingFangSC-Medium,PingFang SC;
font-weight:500;
color:rgba(102,102,102,1); */}
                <Row>
                    <Col span={8} style={{ textAlign: 'end', fontSize: '0.13rem', fontWeight: '500', color: 'rgba(102,102,102,1)', padding: '0 0.076rem' }}>配置消息</Col>
                </Row>
                <Form.Item label="商品名称" >
                    {getFieldDecorator('mchName', {
                        initialValue: data.mchName,
                    })(
                        <Input placeholder="{小程序名}" />,
                    )}
                </Form.Item>
                <Form.Item label="红包祝福语">
                    {getFieldDecorator('blessing', {
                        initialValue: data.blessing,
                    })(
                        <Input placeholder="祝您中个大红包！" />,
                    )}
                </Form.Item>
                <Form.Item label="活动名称">
                    {getFieldDecorator('activityName', {
                        initialValue: data.activityName,
                    })(
                        <Input placeholder="{活动标题}" />,
                    )}
                </Form.Item>
                <Form.Item label="备注">
                    {getFieldDecorator('remark', {
                        initialValue: data.remark,
                    })(
                        <Input placeholder="点我拆红包" />,
                    )}
                </Form.Item>



                <Form.Item wrapperCol={{ span: 15, offset: 8 }}>
                    <div style={{ width: '190px' }}>
                        <Button type="primary" style={{ marginRight: '20px' }} htmlType="submit">保存</Button>
                        {/* <Button onClick={() => router.go(-1)} >取消</Button> */}
                    </div>
                </Form.Item>
            </Form></>

    )
}

const WrappedRedPacket = Form.create({ name: 'RedPacket' })(RedPacket);

export default WrappedRedPacket
